#!/bin/sh

mkdir -p source
[ -f source/man-pages-2.55.tar.gz ] ||
  (cd source && wget ftp://ftp.win.tue.nl/pub/linux-local/manpages/man-pages-2.55.tar.gz)
[ -f source/doclifter-2.3.tar.gz ] ||
  (cd source && wget http://www.catb.org/~esr/doclifter/doclifter-2.3.tar.gz)

rm -rf mantemp

rm -rf man-pages-* &&
tar xvzf source/man-pages-*.tar.gz &&
cd man-pages-* &&
make MANDIR=../mantemp allgz &&
cd .. &&
rm -rf man-pages-* &&

rm -rf doclifter-* &&
tar xvzf source/doclifter-*.tar.gz &&
cd doclifter-2.3 &&
# Manlifter is buggy, we have to fix it up.
chmod +w manlifter &&
patch -p1 -i ../manlifter.patch &&
mkdir prepatch &&
# Run it
./manlifter -I `pwd`/../mantemp `cd ..;ls mantemp | sed -re 's/man([0-9]p?)/-s \1/g'` -h
